Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::texture_coordinate_node Class Reference

Inheritance diagram for openvrml::vrml97_node::texture_coordinate_node:

[legend]
List of all members.

## Detailed Description

TextureCoordinate node instances.

## Public Member Functions

| texture_coordinate_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~texture_coordinate_node () throw ()
| Destroy.
virtual const std::vector< vec2f > & | point () const throw ()
| Get the points encapsulated by this node.

## Private Attributes

exposedfield< mfvec2f > | point_
| point exposedField.

## Friends

class | texture_coordinate_class
| Class object for TextureCoordinate instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::texture_coordinate_node::texture_coordinate_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the instance.
  | scope | the scope that the new node will belong to.

Reimplemented from openvrml::texture_coordinate_node.

openvrml::vrml97_node::texture_coordinate_node::~texture_coordinate_node | ( |  | ) | throw ()`[virtual]`

| Destroy. Implements openvrml::texture_coordinate_node.

## Member Function Documentation

const std::vector< vec2f > & openvrml::vrml97_node::texture_coordinate_node::point | ( |  | ) | const throw ()`[virtual]`

Get the points encapsulated by this node.

Returns:
  the mfvec2f array of points for this node.

Implements openvrml::texture_coordinate_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::texture_coordinate_node::texture_coordinate_class`[friend]`

| Class object for TextureCoordinate instances.

## Member Data Documentation

exposedfield< mfvec2f > openvrml::vrml97_node::texture_coordinate_node::point_ `[private]`

| point exposedField.